using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace EsercizioLock
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Clear();

            Fabbrica fab = new Fabbrica();

            fab.IniziaProduzione();

            /*
            for (int i = 0; i < 60; i++)
            {
                Console.WriteLine("buoni: {0}\t scarti: {1}", fab.nBuoni, fab.nScarti);
                Thread.Sleep(100);
            }
            */

            Console.WriteLine("La fabbrica sta fabbricando con gli appositi strumenti");

            Thread.Sleep(6000);

            fab.StopProduzione();
            Console.WriteLine(fab.StampaStatistiche());
        }

        
    }
}
